<template>
	<uv-popup ref="popup" :round="30"
	:safeAreaInsetBottom="false"
	>
		<view class="content">
			
			<view class="title">
				签到领积分
			</view>
			
			<image src="/static/image/home/12.png" mode="widthFix"
			style="width: 100%;"></image>
			
			<view class="uni-color-btn"
			@click="checkin">
				立即签到
			</view>
		</view>
	</uv-popup>
</template>

<script>
	export default {
		name:"checkinScore",
		data() {
			return {
				
			};
		},
		mounted() {
			this.getCheckin()
		},
		methods : {
			getCheckin(){
				this.$refs.popup.open()
			},
			checkin(){
				this.$api('addScoreBySign', res => {
					if(res.code == 200){
						uni.showToast({
							title: '签到成功'
						})
						this.$refs.popup.close()
					}
				})
			},
		}
	}
</script>

<style scoped lang="scss">
.content{
	width: 560rpx;
	padding: 40rpx;
	.title{
		text-align: center;
		font-weight: 900;
		font-size: 60rpx;
		color: $uni-color;
		word-spacing: 18px;
	}
	.uni-color-btn{
		padding: 30rpx 0;
		border-radius: 20rpx;
	}
}
</style>